Bug 63147 - Nice change breaks the existing binaries.
Nice change breaks the existing binaries.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: man-pages (Show other bugs)
8.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-10 12:38 EDT by hjl
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-12 22:00:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch (1.32 KB, patch)
2002-04-10 14:50 EDT, hjl
no flags Details | Diff

  None (edit)
Description hjl 2002-04-10 12:38:58 EDT
The nice ABI change in glibc 2.2.5-30 breaks the existing binaries. Also

# man 2 nice
NICE(2)             Linux Programmer's Manual             NICE(2)

NAME
       nice - change process priority

SYNOPSIS
       #include <unistd.h>

       int nice(int inc);

DESCRIPTION
       nice  adds  inc to the nice value for the calling pid.  (A
       large nice value means a low priority.)  Only  the  super-
       user   may  specify  a  negative  increment,  or  priority
       increase.

RETURN VALUE
       On success, zero is returned.  On error, -1  is  returned,
       and errno is set appropriately.

glibc should provide an old version of nice and the nice man page
should be fixed.
Comment 1 hjl 2002-04-10 14:50:15 EDT
Created attachment 53184 [details]
A patch
Comment 2 hjl 2002-04-10 14:50:55 EDT
Here is a patch which works for VMware 2.0.4.
Comment 3 hjl 2002-10-12 22:00:45 EDT
A similar bug now in RedHat 8.0. The difference now
is the return value on success.

BTW, on 8.0, the nice man page is the same as 7.3.
Comment 4 Jakub Jelinek 2002-10-13 01:28:15 EDT
Then it is a manpage bug, not anything else. I really cannot change the default
nice symbol version and screw binary compatibility with everyone else.
The old nice behaviour was a bug, not a feature. So VMWare needs to be fixed
(wasn't it already).

Note You need to log in before you can comment on or make changes to this bug.